Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096884 - [engine-backend] When committing a snapshot that contains disk and conf. of the 'Active VM', engine doesn't report about the result of the operation
Summary: [engine-backend] When committing a snapshot that contains disk and conf. of t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: 1102783 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-12 15:18 UTC by Elad
Modified: 2016-02-10 20:23 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1102783 (view as bug list)
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
logs from engine and vdsm + screenshot from webadmin (deleted)
2014-05-12 15:18 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27817 master MERGED core: block preview of active vm snapshot Never
oVirt gerrit 27818 None None None Never
oVirt gerrit 28302 ovirt-engine-3.4 MERGED core: block preview of active vm snapshot Never

Description Elad 2014-05-12 15:18:44 UTC
Created attachment 894767 [details]
logs from engine and vdsm + screenshot from webadmin

Description of problem:
I tried to preview and commit the configuration file and the disks of the 'current VM'. Engine reported that the operation had started, but after it, no report about the results of the operation were given to user.

Version-Release number of selected component (if applicable):
av9
rhevm-3.4.0-0.18.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a VM with 2 disks 
2. Create a snapshot to the VM 
3. Custom preview the snapshot, pick the 'current VM' check-boxes for both the VM disks and configuration
4. Commit the snapshot

Actual results:
Restore operation is reported as started, but no report regarding its results:

2014-05-12 17:51:07,933 INFO  [org.ovirt.engine.core.bll.RestoreAllSnapshotsCommand] (ajp-/127.0.0.1:8702-13) [45e880e1] Running command: RestoreAllSnapshotsCommand internal: false. Entities affected :  ID: 49fc6fac-a694-43ae-9879-d045564f14f0 Type: VM

Also in audit log in webadmin, no report about the result of the operation.

*Note that when committing a snapshot that includes a configuration file or disk which are not the 'current VM', engine reports about the results.


Expected results:
Engine should report about the results of committing an 'empty' snapshot

Additional info:
logs from engine and vdsm + screenshot from webadmin

Comment 1 Elad 2014-05-12 15:23:31 UTC
'Current VM' = 'Active VM'

Comment 2 Daniel Erez 2014-05-18 15:50:34 UTC
The described scenario should be avoided - i.e. previewing active VM snapshot (along with the active disks) should be blocked on canDo.

Comment 4 Kevin Alon Goldblatt 2014-06-22 11:45:45 UTC
Verified in version:
ovirt-engine-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch
vdsm-4.15.0-78.git349f848.el6.x86_64

Comment 5 Kevin Alon Goldblatt 2014-06-22 11:47:29 UTC
When selecting to view the Active configuration and disks, an error messsage is displayed informing the user that this operation cannot be performed

Comment 6 Allon Mureinik 2015-02-16 19:12:23 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 7 Allon Mureinik 2015-02-16 19:12:24 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.